## xkbset 0.5

=== Makefile ===
X11PREFIX=/usr/X11R6
X11BASE=/usr/X11R6

INSTALL_BIN=${DESTDIR}${X11PREFIX}/bin
INSTALL_MAN1=${DESTDIR}${X11PREFIX}/man/man1

INC_PATH=-I${X11BASE}/include
LIB_PATH=-L${X11BASE}/lib
LIBS=-lX11

all: xkbset xkbset.1

xkbset: getargs.o print.o usage.o main.o misc.o
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} getargs.o print.o usage.o main.o misc.o -o $@ ${LIBS}

getargs.o: getargs.c xkbset.h
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c getargs.c

print.o: print.c xkbset.h
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c print.c

usage.o: usage.c xkbset.h
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c usage.c

main.o: main.c xkbset.h
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c main.c

misc.o: misc.c xkbset.h
	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c misc.c

getargs.c: create_getargs config_getargs
	perl create_getargs

print.c: create_print config_print
	perl create_print

usage.c: create_usage config_usage
	perl create_usage

config_usage: config_getargs
	rm -f config_usage
	ln -s config_getargs config_usage

xkbset.1: xkbset.man
	cp xkbset.man xkbset.1

INSTALL=	install -c
INSTALL_DATA=	${INSTALL}
INSTALL_SCRIPT=	${INSTALL}
INSTALL_PROGRAM=${INSTALL} -s

install: all
	${INSTALL_PROGRAM} xkbset ${INSTALL_BIN}
	${INSTALL_SCRIPT} xkbset-gui ${INSTALL_BIN}
	${INSTALL_DATA} xkbset.1 ${INSTALL_MAN1}

clean:
	rm -f *.o getargs.c print.c usage.c *.core xkbset config_usage xkbset.1

=== debian/changelog ===
xkbset (0.5-7.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass CC to make. (Closes: #890281)
  * Don't strip at make install time. (Closes: #438298)

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Apr 2018 12:34:13 +0200

xkbset (0.5-7) unstable; urgency=medium

  * Adopt package (closes: Bug#847599).
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Oct 2017 01:11:01 +0200

xkbset (0.5-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #847599)
  * Recommend perl-tk. (Closes: #415350)
  * Apply patch from Jari Aalto to update to packaging format 3.0
    (Closes: #669706)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 17:06:47 +0200

xkbset (0.5-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817733)
  * debian/control:
      - Added the ${misc:Depends} variable.
      - Added the Homepage field.
      - Bumped Standards-Version to 3.9.8.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Oct 2016 22:44:24 -0300

xkbset (0.5-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on libx11-dev instead of the obsolete xlibs-dev; thanks to
    Justin Pryzby <justinpryzby@users.sf.net> for testing.  Closes: #346782.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Jan 2006 11:23:37 -0800

xkbset (0.5-5) unstable; urgency=low

  * updated standards version 

 -- Francois Gurin <matrix@debian.org>  Sun,  8 May 2005 22:10:30 -0400

xkbset (0.5-4) unstable; urgency=low

  * signed changes

 -- Francois Gurin <matrix@debian.org>  Sun,  3 Apr 2005 19:00:29 -0400

xkbset (0.5-3) unstable; urgency=low

  * New maintainer.  

 -- Francois Gurin <matrix@debian.org>  Mon, 21 Mar 2005 18:17:47 -0500

xkbset (0.5-2) unstable; urgency=low

  * QA Upload.
  * add dpatch to Build-Depends *blushes* 

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Oct 2003 15:47:20 +0100

xkbset (0.5-1) unstable; urgency=low

  * QA Upload.
  * New upstream release
  * debhelper compat v4
    - Build-Depend on debhelper (>> 4.0.0)
  * remove dh_undocumented call
  * fix lintian errors/warnings
  * move to dpatch; existing Makefile changes moved to
    01_fix_makefile.dpatch
  * add 02_clarify_errors to do what the name says :-) (closes: #194455),
    thanks Burkhard Perkens-Golomb
  * add Suggests: to perl-tk for xkbset-gui

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Oct 2003 04:40:52 +0200

xkbset (0.3-3) unstable; urgency=low

  * Orphaning. I do not use this program anymore.

 -- Michael Beattie <mjb@debian.org>  Fri, 17 Oct 2003 10:49:21 +1300

xkbset (0.3-2) unstable; urgency=low

  * Oops... editted the template debian/copyright file

 -- Michael Beattie <mjb@debian.org>  Sat,  3 Aug 2002 13:23:13 +1200

xkbset (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Michael Beattie <mjb@debian.org>  Tue, 30 Jul 2002 14:21:02 +1200

=== debian/control ===
Source: xkbset
Section: x11
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: libx11-dev, debhelper (>> 10)
Standards-Version: 4.1.4
Homepage: https://faculty.missouri.edu/~stephen/software
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xkbset.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xkbset.git

Package: xkbset
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl-tk
Description: Small utility to change the AccessX settings of XKEYBOARD
 AccessX is a set of features within the XKEYBOARD extension of the
 X Window System designed to make X more accessible to users with
 disabilities. XKEYBOARD is present in X11R6.1 and later. AccessX features
 are typically unknown, given that in many implementations no interface
 is provided to utilize their functionality.
 .
 Accessibility Features supported in AccessX include:
 .
  1. MouseKeys
     MouseKeys is a system whereby the numeric keypad can be used to control
     the mouse pointer.
 .
  2. SlowKeys
     SlowKeys is a feature to "slow down" keyboard input.
 .
  3. StickyKeys
     StickyKeys enables the user who is unable to press and hold multi-key
     combinations to enter them in a sequential format instead.
 .
  4. BounceKeys
     BounceKeys is similar to StickyKeys, except that instead of a delay
     affecting all keys pressed, the delay is only enabled for the key the
     user pressed last.
 .
  5. RepeatKeys
     RepeatKeys sets the same parameters as the global repeat settings, but
     it is important to make note of it as an accessibility feature as well.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/xkbset 'INSTALL=install --strip-program=true'

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
http://faculty.missouri.edu/~stephen/software/xkbset/xkbset-(\d\S+)\.tar\.(?:bz2|gz|xz)

## xkbset 0.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-X11PREFIX=/usr/X11R6
-X11BASE=/usr/X11R6
+X11PREFIX=/usr/local
+X11BASE=/usr/local
 
 INSTALL_BIN=${DESTDIR}${X11PREFIX}/bin
 INSTALL_MAN1=${DESTDIR}${X11PREFIX}/man/man1
@@ -11,22 +11,22 @@
 all: xkbset xkbset.1
 
 xkbset: getargs.o print.o usage.o main.o misc.o
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} getargs.o print.o usage.o main.o misc.o -o $@ ${LIBS}
+	${CC} ${CFLAGS} ${LDFLAGS} ${INC_PATH} ${LIB_PATH} getargs.o print.o usage.o main.o misc.o -o $@ ${LIBS}
 
 getargs.o: getargs.c xkbset.h
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c getargs.c
+	${CC} ${CPPFLAGS} ${CFLAGS} ${INC_PATH} -c getargs.c
 
 print.o: print.c xkbset.h
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c print.c
+	${CC} ${CPPFLAGS} ${CFLAGS} ${INC_PATH} -c print.c
 
 usage.o: usage.c xkbset.h
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c usage.c
+	${CC} ${CPPFLAGS} ${CFLAGS} ${INC_PATH} -c usage.c
 
 main.o: main.c xkbset.h
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c main.c
+	${CC} ${CPPFLAGS} ${CFLAGS} ${INC_PATH} -c main.c
 
 misc.o: misc.c xkbset.h
-	${CC} ${CFLAGS} ${INC_PATH} ${LIB_PATH} -c misc.c
+	${CC} ${CPPFLAGS} ${CFLAGS} ${INC_PATH} -c misc.c
 
 getargs.c: create_getargs config_getargs
 	perl create_getargs

=== debian/changelog ===
xkbset (0.6-2) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/no-xsession.patch: Disable saving to .xsession, does not work and
    breaks the user session (Closes: #1003394)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jan 2022 10:19:33 +0100

xkbset (0.6-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:21:27 +0100

xkbset (0.5-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * control: Avoid repeating tool name.
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:49:03 +0200

=== debian/control ===
Source: xkbset
Section: x11
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: libx11-dev, debhelper-compat (= 12)
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://faculty.missouri.edu/~stephen/software
Vcs-Browser: https://salsa.debian.org/debian/xkbset
Vcs-Git: https://salsa.debian.org/debian/xkbset.git

Package: xkbset
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl-tk
Description: Small utility to change the AccessX settings of XKEYBOARD
 AccessX is a set of features within the XKEYBOARD extension of the
 X Window System designed to make X more accessible to users with
 disabilities. XKEYBOARD is present in X11R6.1 and later. AccessX features
 are typically unknown, given that in many implementations no interface
 is provided to utilize their functionality.
 .
 Accessibility Features supported in AccessX include:
 .
  1. MouseKeys is a system whereby the numeric keypad can be used to control
     the mouse pointer.
 .
  2. SlowKeys is a feature to "slow down" keyboard input.
 .
  3. StickyKeys enables the user who is unable to press and hold multi-key
     combinations to enter them in a sequential format instead.
 .
  4. BounceKeys is similar to StickyKeys, except that instead of a delay
     affecting all keys pressed, the delay is only enabled for the key the
     user pressed last.
 .
  5. RepeatKeys sets the same parameters as the global repeat settings, but
     it is important to make note of it as an accessibility feature as well.

=== debian/watch ===
version=4
http://faculty.missouri.edu/~stephen/software/xkbset/xkbset-@ANY_VERSION@@ARCHIVE_EXT@
http://web.missouri.edu/~stephen/software/xkbset/xkbset-@ANY_VERSION@@ARCHIVE_EXT@

## xkbset 0.8

=== debian/changelog ===
xkbset (0.8-1) unstable; urgency=medium

  * New upstream release.
    - patches/no-xsession.patch: Upstreamed.
  * watch: Update to track github.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:41:48 +0200

xkbset (0.6-3) unstable; urgency=medium

  * control: Make Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: xkbset
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl-tk
 Description: Small utility to change the AccessX settings of XKEYBOARD

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	dh_testroot
 	dh_installdocs
 	dh_installman
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
version=4
https://github.com/stephenmontgomerysmith/xkbset/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
